{
  "name": "@hereconnect/service-tg-bot",
  "version": "1.0.0",
  "description": "",
  "main": "dist/service.js",
  "type": "module",
  "license": "@hereconnect/license",
  "private": true,
  "engines": {
    "node": ">=v20.10.0",
    "pnpm": ">=8.15.0"
  },
  "homepage": "",
  "repository": {
    "type": "git",
    "url": ""
  },
  "files": [
    "dist/**/*",
    "assets/**/*"
  ],
  "bugs": "",
  "keywords": [],
  "author": {
    "name": "",
    "email": "",
    "url": ""
  },
  "contributors": [],
  "scripts": {
    "build": "tsc",
    "dev": "tsx src/service.ts",
    "dev:watch": "tsx --watch src/service.ts",
    "type-check": "tsc --noEmit",
    "clean": "rm -rf dist",
    "lint": "eslint src",
    "lint:fix": "eslint src --fix",
    "validate": "npm run type-check && npm run lint",
    "start": "node --import=extensionless/register dist/service.js"
  },
  "dependencies": {
    "@grammyjs/conversations": "^1.2.0",
    "@grammyjs/parse-mode": "^1.10.0",
    "@hereconnect/constants": "workspace:^",
    "@hereconnect/couchdb-changes-stream": "workspace:^",
    "@hereconnect/lib-service-health-checkserver": "workspace:^",
    "@hereconnect/lib-service-seq-tracker": "workspace:^",
    "@hereconnect/tg-bot-update-webhook-ddoc": "workspace:^",
    "@xmldom/xmldom": "^0.9.6",
    "canvas": "^2.11.2",
    "extensionless": "^1.9.9",
    "grammy": "^1.33.0",
    "jsdom": "^25.0.1",
    "pouchdb-adapter-http": "^9.0.0",
    "pouchdb-core": "^9.0.0",
    "pouchdb-find": "^9.0.0",
    "pouchdb-upsert": "^2.2.0",
    "qr-code-styling": "^1.8.4",
    "sharp": "^0.33.5",
    "svgo": "^3.3.2"
  },
  "devDependencies": {
    "@grammyjs/types": "^3.17.0",
    "@hereconnect/types": "workspace:^",
    "@types/bun": "^1.1.14",
    "@types/node": "^22.10.2",
    "@types/pouchdb-adapter-http": "^6.1.6",
    "@types/pouchdb-core": "^7.0.15",
    "@types/pouchdb-find": "^7.3.3",
    "@types/pouchdb-upsert": "^2.2.9",
    "@typescript-eslint/eslint-plugin": "^8.18.1",
    "@typescript-eslint/parser": "^8.18.1",
    "eslint": "^9.17.0",
    "tsx": "^4.19.2",
    "type-fest": "^4.30.2",
    "typescript": "~5.7.2"
  }
}
